GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
mpfr_float_ops::gdb_mpfr Class Reference

## Public Member Functions
| gdb_mpfr (const struct type *type)
| gdb_mpfr (const gdb_mpfr &source)
| ~gdb_mpfr ()

## Public Attributes
mpfr_t | val

## Detailed Description

Definition at line 1184 of file target-float.c.

## Constructor & Destructor Documentation

## ◆ gdb_mpfr() [1/2]

mpfr_float_ops::gdb_mpfr::gdb_mpfr | ( | const struct type * | type | ) |
| inline

Definition at line 1189 of file target-float.c.

References floatformat_from_type(), floatformat_precision(), and val.

## ◆ gdb_mpfr() [2/2]

mpfr_float_ops::gdb_mpfr::gdb_mpfr | ( | const gdb_mpfr & | source | ) |
| inline

Definition at line 1195 of file target-float.c.

References val.

## ◆ ~gdb_mpfr()

mpfr_float_ops::gdb_mpfr::~gdb_mpfr | ( |  | ) |
| inline

Definition at line 1200 of file target-float.c.

References val.

## Member Data Documentation

## ◆ val

mpfr_t mpfr_float_ops::gdb_mpfr::val

Definition at line 1187 of file target-float.c.

Referenced by mpfr_float_ops::binop(), mpfr_float_ops::compare(), mpfr_float_ops::convert(), mpfr_float_ops::from_host_double(), mpfr_float_ops::from_longest(), mpfr_float_ops::from_string(), mpfr_float_ops::from_target(), mpfr_float_ops::from_ulongest(), gdb_mpfr(), mpfr_float_ops::to_host_double(), mpfr_float_ops::to_longest(), mpfr_float_ops::to_string(), mpfr_float_ops::to_target(), and ~gdb_mpfr().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/target-float.c